be.ehealth.technicalconnector.exception

## Class InvalidTimeStampException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - be.ehealth.technicalconnector.exception.ConnectorException
      - - be.ehealth.technicalconnector.exception.TechnicalConnectorException
        - - be.ehealth.technicalconnector.exception.InvalidTimeStampException

- All Implemented Interfaces:
    Serializable

      public class InvalidTimeStampException
      extends TechnicalConnectorException

  thrown when validation of timestamp fails.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidTimeStampException(String errorMessage)`
    `InvalidTimeStampException(String errorMessage, Exception e)` exception indicating that a timestamp is not valid.

  - ### Method Summary

    - ### Methods inherited from class be.ehealth.technicalconnector.exception.TechnicalConnectorException

      `getCategory`

    - ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidTimeStampException

          public InvalidTimeStampException(String errorMessage,
                                           Exception e)

      exception indicating that a timestamp is not valid.
      Parameters:
        `errorMessage` - exact validation that failed
        `e` - the original validation error

    - #### InvalidTimeStampException

          public InvalidTimeStampException(String errorMessage)

      Parameters:
        `string` -

Connector Packaging TECHNICAL 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.